/*External CSS*/
body { background-color: lightblue; }

p { background-color: coral; font-size: 50px; }

span { color: darkgreen; background-color: lightpink; }


/*CSS Selectors*/

/*ID Selector* - # symbol*/

	#greeting { color: red; font-size: 10px; }




/*Class Selector - . symbol*/

	.welcome { color:teal; letter-spacing: 5px }




/*Attribute Selector- []*/
	[type="text"] { background-color: orange; }



/*Type Selector - uses tag name*/
	section { font-size: 32px; /*text-align: right;*/ /*float: right */}


/*Universal Selector - * symbol */
	*{ margin: 0; padding: 0; }




/*CSS Selector Combinators*/


/*Descendant Selector (white space)*/

	/*div p { background-color: red; }*/

	/*#parent section p { background-color: red; }*/ /*or div section p {background-color: red;}*/


/*Child Selector (>) */

	/*div > p {background-color: red;}*/

	/*#parent > p { background-color: red; }*/

/*General Sibling Selector (~) */

	/*p ~ p {background-color: red}*/

/*Adjacent Sibling Selector (+)*/

	/*p + p {background-color: red}*/

	div + p {background-color: red}